/* vi:set ts=8 sts=0 sw=8:
 * $Id: misc.h,v 1.3 2000/05/09 17:00:49 kahn Exp kahn $
 *
 * Copyright (C) 2000 Andy C. Kahn
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef __MISC_H__
#define __MISC_H__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <gtk/gtk.h>
#include <glade/glade.h>

#define GLADE_MODAL		(1 << 0)
#define GLADE_POS_MOUSE		(1 << 1)
#define GLADE_SHOW		(1 << 2)
#define GLADE_HIDE		(1 << 3)

extern void my_gtk_events_flush(void);
extern GtkWidget *my_glade_widget_get(GladeXML *xml, char *name, int flags);
extern GladeXML *my_glade_xml_get(char *root);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif	/* __MISC_H__ */
